# $Revision: 1.6 $, $Date: 2005/01/06 22:41:52 $
Summary:	Poldek Interaction library
Summary(pl):	Biblioteka interakcji z poldkiem
Name:		libpi
Version:	0.1.1
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://team.pld-linux.org/~wolf/pacman/%{name}-%{version}.tar.bz2
# Source0-md5:	a9fce2adb81897e8db43f4c92b605a24
URL:		http://team.pld-linux.org/~wolf/pacman/
BuildRequires:	libstdc++-devel
Requires:	poldek
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Poldek Interaction library.

%description -l pl
Biblioteka interakcji z poldkiem.

%package devel
Summary:	libpi header files
Summary(pl):	Pliki nagwkowe libpi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
libpi header files.

%description devel -l pl
Pliki nagwkowe libpi.

%prep
%setup -q

%build
%{__make} \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -DNDEBUG -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	PCH=0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/libpi}

install libpi.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
install *.h $RPM_BUILD_ROOT%{_includedir}/libpi

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libpi.so.*.*.* libpi.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpi.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpi.so
%{_includedir}/libpi
#%exclude %{_includedir}/libpi/all.h*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpi.spec,v $
Revision 1.6  2005/01/06 22:41:52  wolf
- 0.1.1

Revision 1.5  2004/09/13 21:02:38  qboosh
- strict internal dep, -devel R: libstdc++-devel

Revision 1.4  2004/09/11 17:23:24  wolf
- rel 3
- fPIC for amd64

Revision 1.3  2004/09/11 16:33:42  wolf
- rel 2
- BR: libstdc++-devel
- fixed sources
- disable assertions

Revision 1.2  2004/09/11 16:17:13  wolf
- md5

Revision 1.1  2004/09/11 16:13:15  wolf
- new
